Skip to main content
`Ctrl`+`K`

# `skopt.space.transformers`.Normalize

class skopt.space.transformers.Normalize(low, high, is_int=False)

  Scales each dimension into the interval [0, 1].

  Parameters:
    low float

      Lower bound.

    high float

      Higher bound.

    is_int bool, default=False

      Round and cast the return value of `inverse_transform` to integer. Set to `True` when applying this transform to integers.

  Methods

  fit |
  inverse_transform |
  transform |

  __init__(low, high, is_int=False)